import { BpSdkStore, createQuestionSet } from '@boldpenguin/sdk-redux';
import { IPartnerEngineConfig, ISendToExchangeContainerComponent } from '@boldpenguin/sdk-types';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkSendToExchangeContainer implements ISendToExchangeContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    createQuestionSet: typeof createQuestionSet;
    /**
     * Is current ower injected from redux
     */
    isCurrentOwner: boolean;
    /**
     * Can send to exchange injected from redux
     */
    canSendToExchange: boolean;
    /**
     * Has sent to exchange injected from redux
     */
    hasSentToExchange: boolean;
    /**
     * Partner engine config injected from redux
     */
    config: IPartnerEngineConfig;
    /**
     * App Form ID injected from redux
     */
    appFormId: string;
    useExternal: boolean;
    el: HTMLBpSdkSendToExchangeContainerElement;
    resetState(): void;
    handleSubscriptions: () => void;
    connectedCallback(): void;
    componentWillLoad(): void;
    mapStateToProps: (state: BpSdkStore) => {
        config: IPartnerEngineConfig;
        appFormId: string;
        isCurrentOwner: boolean;
        canSendToExchange: boolean;
        hasSentToExchange: boolean;
    };
    disconnectedCallback(): void;
    render(): any[];
    sendToExchange: () => void;
    renderExternal(): any;
    renderInternal(): any;
}
